Bug 59158 - site link is wrong
Summary: site link is wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: All All
: medium major
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 07:18 UTC by yufang_chen
Modified: 2013-01-15 11:46 UTC (History)
2 users (show)

See Also:


Attachments
This is how the about window looks like in LO 4.0.0.1 (124.21 KB, image/png)
2013-01-10 19:02 UTC, Jorendc
Details
gnome screenshot of the problem button. (8.34 KB, image/png)
2013-01-11 05:29 UTC, Yifan Jiang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yufang_chen 2013-01-09 07:18:18 UTC
via help>about,the about dialog has a website button,in Traditional Chinese version,it was wrong linked to http://www.libreoffice.org/zh. The correct link is http://www.libreoffice.org/zh-tw or http://zh-tw.libreoffice.org.And i found Simplified Chinese version has the same problem
Comment 1 Jorendc 2013-01-10 19:02:06 UTC
Created attachment 72797 [details]
This is how the about window looks like in LO 4.0.0.1

Screenshot using Mac OSX 10.8.2 and LO4.0 RC1

I don't understand any Chinese, and I can't click on a link. Is this good or bad behavior? (installed UI = zh-TW).
The link to the bug report website is correct (link it to zh-TW BSA).
Comment 2 Kohei Yoshida 2013-01-11 03:06:59 UTC
Yifan, can you help us confirm this?  Thanks!
Comment 3 Yifan Jiang 2013-01-11 05:28:57 UTC
Sure, I can confirm it not only for zh-tw, but also for zh-cn. And the button we are talking about in English is "Website" in the About box.

After had both Chinese packages installed, when I chose LO user interface as Traditional Chinese or Simplified Chinese. The "Website" button in Help->About Libreoffice dialog will bring out always this nonexisted link:

  http://www.libreoffice.org/zh
Comment 4 Yifan Jiang 2013-01-11 05:29:37 UTC
Created attachment 72836 [details]
gnome screenshot of the problem button.
Comment 5 Yifan Jiang 2013-01-11 08:35:58 UTC
We might need to update the country-aware web service redirection, in which we currently have only pt-br handled:

  svtools/source/misc/langhelp.cxx
Comment 6 Andras Timar 2013-01-15 09:30:59 UTC
http://www.libreoffice.org/zh-cn does not redirect to http://zh-cn.libreoffice.org/ but I opened a separate bug for that. (bug #59403)
Comment 7 Not Assigned 2013-01-15 09:35:54 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e1b1687c8518f6d1c7ee77b18d464ac1c00852b

fdo#59158 About dialog Website button link fix for zh-CN and zh-TW



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-01-15 11:46:05 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f2d6cd5332c9aa2ccca4a12a241263a51f76da2&h=libreoffice-4-0

fdo#59158 About dialog Website button link fix for zh-CN and zh-TW


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.